/******************************************************************************
 * @file     main.c
 * @brief    Main program body
 * @version  V1.6.0
 * @date     30-Apr-2020
 *
 * @note
 * Copyright (C) 2020 Spintrol Limited Corporation. All rights reserved.
 *
 * @attention
 * THIS SOFTWARE JUST PROVIDES CUSTOMERS WITH CODING INFORMATION REGARDING 
 * THEIR PRODUCTS, WHICH AIMS AT SAVING TIME FOR THEM. SPINTROL SHALL NOT BE
 * LIABLE FOR THE USE OF THE SOFTWARE. SPINTROL DOES NOT GUARANTEE THE 
 * CORRECTNESS OF THIS SOFTWARE AND RESERVES THE RIGHT TO MODIFY THE SOFTWARE 
 * WITHOUT NOTIFICATION.
 *
 ******************************************************************************/

#include "spd1178.h"
#include <stdio.h>




int main(void)
{
  /* Set Flash Timing */
  FLASH_WALLOW();
  FLASH_SetTiming(200000000);
  FLASH_WDIS();
  
  /* Clock Init */
  CLOCK_InitWithRCO(CLOCK_HCLK_200MHZ);
  
  /* Delay Init */
  Delay_Init();
  
  
  /* Pre-driver init */
  HV_Init(100000, NULL, 1000);
  
  
  /* UART Init */
  GPIO_SetPinChannel(GPIO_34, GPIO34_UART_TXD);
  GPIO_SetPinChannel(GPIO_35, GPIO35_UART_RXD);
  
  UART_Init(UART, 38400);
  
  printf("Just a sample...\n");
  
  
  while(1)
  {
  }
}

